# Maintainer: Crystal Linux Distribution Team <distribution@lists.getcryst.al>

pkgname=gnome-shell-extension-crystal-update
_pkgname=crystal-update
pkgver=55
pkgrel=1
pkgdesc="Convenient indicator for Crystal Linux updates in GNOME Shell."
arch=('any')
url="https://gitlab.com/crystal-linux/software/${_pkgname}"
license=('GPL-3.0-only')
depends=('gnome-shell' 'ame')
provides=('gnome-shell-extension-arch-update')
conflicts=('gnome-shell-extension-arch-update' 'gnome-shell-extensions-git')
source=("${url}/-/archive/v${pkgver}/${_pkgname}-v${pkgver}.tar.gz")
sha256sums=('fbf6ad513a7fa743dfad49de4b215a38adbc39ef3b5627b2dec64005eb460c65')

package() {
  cd "${_pkgname}-v${pkgver}"
  local _extname=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
  local _destdir="${pkgdir}/usr/share/gnome-shell/extensions/${_extname}"

  install -Dm644 -t "${_destdir}" metadata.json *.js *.xml *.css
  cp -r --no-preserve=ownership,mode icons "${_destdir}"
  install -Dm644 -t "${pkgdir}/usr/share/glib-2.0/schemas/" schemas/*.xml

  cd locale
  for locale in */
    do
      install -Dm644 -t "${pkgdir}/usr/share/locale/${locale}/LC_MESSAGES" "${locale}/LC_MESSAGES"/*.mo
    done
}
